Bug 814346 - Missing ability to upload case-run artefacts
Missing ability to upload case-run artefacts
Status: CLOSED WONTFIX
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: June Zhang
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 12:14 EDT by mkovacik
Modified: 2012-05-28 03:16 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-28 03:16:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attaching log in comment field (157.86 KB, image/png)
2012-05-16 06:53 EDT, mkovacik
no flags Details

  None (edit)
Description mkovacik 2012-04-19 12:14:42 EDT
Description of problem:
Since the case-run comment field seems to "ignore" long postings, the ability to upload case-run artefacts via the web UI would be appreciated. Could work as in Bugzilla.

Version-Release number of selected component (if applicable):


How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
long screen logs are both impractical and impossible to store as case-run comments

Expected results:
It should be possible to upload multiple case-run-specific artefacts, possibly with a comment, too
Comment 1 yawei Li 2012-05-16 05:48:17 EDT
some testers save the test log as attachment.
Also some automation log files are saved in some server, they add a link in test case run. we just added link field in test case run.

do you think these two ways can resolve you requirement?
Comment 2 mkovacik 2012-05-16 06:53:12 EDT
Created attachment 584927 [details]
Attaching log in comment field

Well, it might be version-specific, but the log-adding link isn't working for me; clicking it it does nothing no matter what the the case run state is. See this attachment for what I can see. If it allowed me uploading a test log that would be OK for me.

I do currently use pastebin (http://pastebin.test.redhat.com/) to store the log and add a link to it in a comment field of a particular case run. But that's not ideal either as the pastebin both limits the amount of lines stored and IMHO shouldn't be used for this purpose.
Comment 3 yawei Li 2012-05-22 05:19:03 EDT
(In reply to comment #2)
> Created attachment 584927 [details]
> Attaching log in comment field
> 
> Well, it might be version-specific, but the log-adding link isn't working
> for me; clicking it it does nothing no matter what the the case run state
> is. See this attachment for what I can see. If it allowed me uploading a
> test log that would be OK for me.
you can upload the log as attachment and with some description.
> 
> I do currently use pastebin (http://pastebin.test.redhat.com/) to store the
> log and add a link to it in a comment field of a particular case run. But
> that's not ideal either as the pastebin both limits the amount of lines
> stored and IMHO shouldn't be used for this purpose.
tcms comments also has to limit the amount of lines. no limitation is mostly impossible.
Comment 4 yawei Li 2012-05-28 03:16:25 EDT
close this bug, as we have no plan to add more feild to add artefacts. 

To make tcms lite as possible as we can, only general requirement will be added into tcms. thanks!

Note You need to log in before you can comment on or make changes to this bug.